Treeview

Bootstrap Treeview

Note: We are transitioning MDB4 to a legacy version and focusing on developing MDB5. While we'll continue to support for the transition period, we encourage you to migrate to MDB5. We're offering a huge discount on MDB5 PRO to help with your transition, enabling you to leverage the full potential of the latest version. You can find more information here.
upgrade with discount

Bootstrap treeview is used to show hierarchical information which starts from the root item and proceed to its children and their respective children. Each item besides the root has a parent and can have children.

The parent is the node which is higher in the hierarchy and the child the one that is lower. Siblings are items which have one and the same parent. Items can be expanded and collapsed.


Basic example

Folders

  • Mail
    • Offers
    • Contacts
    • Calendar
      • Deadlines
      • Meetings
      • Workouts
      • Events
  • Inbox
    • Admin
    • Corporate
    • Finance
    • Other
  • Favourites
    • Restaurants
    • Places
    • Games
    • Coctails
    • Food
  • Notes
  • Settings
  • Devices
  • Deleted Items
        
            

        <div class="treeview w-20 border">
          <h6 class="pt-3 pl-3">Folders</h6>
          <hr>
          <ul class="mb-1 pl-3 pb-2">
            <li><i class="fas fa-angle-right rotate"></i>
              <span><i class="far fa-envelope-open ic-w mx-1"></i>Mail</span>
              <ul class="nested">
                <li><i class="far fa-bell ic-w mr-1"></i>Offers</li>
                <li><i class="far fa-address-book ic-w mr-1"></i>Contacts</li>
                <li><i class="fas fa-angle-right rotate"></i>
                  <span><i class="far fa-calendar-alt ic-w mx-1"></i>Calendar</span>
                  <ul class="nested">
                    <li><i class="far fa-clock ic-w mr-1"></i>Deadlines</li>
                    <li><i class="fas fa-users ic-w mr-1"></i>Meetings</li>
                    <li><i class="fas fa-basketball-ball ic-w mr-1"></i>Workouts</li>
                    <li><i class="fas fa-mug-hot ic-w mr-1"></i>Events</li>
                  </ul>
                </li>
              </ul>
            </li>
            <li><i class="fas fa-angle-right rotate"></i>
              <span><i class="far fa-folder-open ic-w mx-1"></i>Inbox</span>
              <ul class="nested">
                <li><i class="far fa-folder-open ic-w mr-1"></i>Admin</li>
                <li><i class="far fa-folder-open ic-w mr-1"></i>Corporate</li>
                <li><i class="far fa-folder-open ic-w mr-1"></i>Finance</li>
                <li><i class="far fa-folder-open ic-w mr-1"></i>Other</li>
              </ul>
            </li>
            <li><i class="fas fa-angle-right rotate"></i>
              <span><i class="far fa-gem ic-w mx-1"></i>Favourites</span>
              <ul class="nested">
                  <li><i class="fas fa-pepper-hot ic-w mr-1"></i>Restaurants</li>
                  <li><i class="far fa-eye ic-w mr-1"></i>Places</li>
                  <li><i class="fas fa-gamepad ic-w mr-1"></i>Games</li>
                  <li><i class="fas fa-cocktail ic-w mr-1"></i>Coctails</li>
                  <li><i class="fas fa-pizza-slice ic-w mr-1"></i>Food</li>
                </ul>
            </li>
            <li><i class="far fa-comment ic-w mr-1"></i>Notes</li>
            <li><i class="fas fa-cogs ic-w mr-1"></i>Settings</li>
            <li><i class="fas fa-desktop ic-w mr-1"></i>Devices</li>
            <li><i class="fas fa-trash-alt ic-w mr-1"></i>Deleted Items</li>
          </ul>
        </div>

      
        
    
        
            
        // Treeview Initialization
        $(document).ready(function() {
          $('.treeview').mdbTreeview();
        });
      
        
    

Animated treeview

Folders

  • Mail
    • Offers
    • Contacts
    • Calendar
      • Deadlines
      • Meetings
      • Workouts
      • Events
  • Inbox
    • Admin
    • Corporate
    • Finance
    • Other
  • Favourites
    • Restaurants
    • Places
    • Games
    • Coctails
    • Food
  • Notes
  • Settings
  • Devices
  • Deleted Items
        
            

        <div class="treeview-animated w-20 border mx-4 my-4">
          <h6 class="pt-3 pl-3">Folders</h6>
          <hr>
          <ul class="treeview-animated-list mb-3">
            <li class="treeview-animated-items">
              <a class="closed">
                <i class="fas fa-angle-right"></i>
                <span><i class="far fa-envelope-open ic-w mx-1"></i>Mail</span>
              </a>
              <ul class="nested">
                <li>
                  <div class="treeview-animated-element"><i class="far fa-bell ic-w mr-1"></i>Offers
                </li>
                <li>
                  <div class="treeview-animated-element"><i class="far fa-address-book ic-w mr-1"></i>Contacts
                </li>
                <li class="treeview-animated-items">
                  <a class="closed"><i class="fas fa-angle-right"></i>
                    <span><i class="far fa-calendar-alt ic-w mx-1"></i>Calendar</span></a>
                  <ul class="nested">
                    <li>
                      <div class="treeview-animated-element"><i class="far fa-clock ic-w mr-1"></i>Deadlines
                    </li>
                    <li>
                      <div class="treeview-animated-element"><i class="fas fa-users ic-w mr-1"></i>Meetings
                    </li>
                    <li>
                      <div class="treeview-animated-element"><i class="fas fa-basketball-ball ic-w mr-1"></i>Workouts
                    </li>
                    <li>
                      <div class="treeview-animated-element"><i class="fas fa-mug-hot ic-w mr-1"></i>Events
                    </li>
                  </ul>
                </li>
              </ul>
            </li>
            <li class="treeview-animated-items">
              <a class="closed">
                <i class="fas fa-angle-right"></i>
                <span><i class="far fa-folder-open ic-w mx-1"></i>Inbox</span>
              </a>
              <ul class="nested">
                <li>
                  <div class="treeview-animated-element"><i class="far fa-folder-open ic-w mr-1"></i>Admin
                </li>
                <li>
                  <div class="treeview-animated-element"><i class="far fa-folder-open ic-w mr-1"></i>Corporate
                </li>
                <li>
                  <div class="treeview-animated-element"><i class="far fa-folder-open ic-w mr-1"></i>Finance
                </li>
                <li>
                  <div class="treeview-animated-element"><i class="far fa-folder-open ic-w mr-1"></i>Other
                </li>
              </ul>
            </li>
            <li class="treeview-animated-items">
              <a class="closed">
                <i class="fas fa-angle-right"></i>
                <span><i class="far fa-gem mx-1"></i>Favourites</span>
              </a>
              <ul class="nested">
                <li>
                  <div class="treeview-animated-element"><i class="fas fa-pepper-hot ic-w mr-1"></i>Restaurants
                </li>
                <li>
                  <div class="treeview-animated-element"><i class="far fa-eye ic-w mr-1"></i>Places
                </li>
                <li>
                  <div class="treeview-animated-element"><i class="fas fa-gamepad ic-w mr-1"></i>Games
                </li>
                <li>
                  <div class="treeview-animated-element"><i class="fas fa-cocktail ic-w mr-1"></i>Coctails
                </li>
                <li>
                  <div class="treeview-animated-element"><i class="fas fa-pizza-slice ic-w mr-1"></i>Food
                </li>
              </ul>
            </li>
            <li>
              <div class="treeview-animated-element"><i class="far fa-comment ic-w mr-1"></i>Notes
            </li>
            <li>
              <div class="treeview-animated-element"><i class="fas fa-cogs ic-w mr-1"></i>Settings
            </li>
            <li>
              <div class="treeview-animated-element"><i class="fas fa-desktop ic-w mr-1"></i>Devices
            </li>
            <li>
              <div class="treeview-animated-element"><i class="fas fa-trash-alt ic-w mr-1"></i>Deleted Items
            </li>
          </ul>
        </div>

      
        
    
        
            
        // Treeview Initialization
        $(document).ready(function() {
          $('.treeview-animated').mdbTreeview();
        });
      
        
    

Colorful treeview

Folders

  • Mail
    • Offers
    • Contacts
    • Calendar
      • Deadlines
      • Meetings
      • Workouts
      • Events
  • Inbox
    • Admin
    • Corporate
    • Finance
    • Other
  • Favourites
    • Restaurants
    • Places
    • Games
    • Coctails
    • Food
  • Notes
  • Settings
  • Devices
  • Deleted Items
        
            

        <div class="treeview-colorful w-20 border border-secondary mx-4 my-4">
          <h6 class="pt-3 pl-3">Folders</h6>
          <hr>
          <ul class="treeview-colorful-list mb-3">
            <li class="treeview-colorful-items">
              <a class="treeview-colorful-items-header">
                <i class="fas fa-plus-circle"></i>
                <span><i class="far fa-envelope-open ic-w mx-1"></i>Mail</span>
              </a>
              <ul class="nested">
                <li>
                  <div class="treeview-colorful-element"><i class="far fa-bell ic-w mr-1"></i>Offers
                </li>
                <li>
                  <div class="treeview-colorful-element"><i class="far fa-address-book ic-w mr-1"></i>Contacts
                </li>
                <li class="treeview-colorful-items">
                  <a class="treeview-colorful-items-header">
                    <i class="fas fa-plus-circle"></i>
                    <span><i class="far fa-calendar-alt ic-w mx-1"></i>Calendar</span></a>
                  <ul class="nested">
                    <li>
                      <div class="treeview-colorful-element"><i class="far fa-clock ic-w mr-1"></i>Deadlines
                    </li>
                    <li>
                      <div class="treeview-colorful-element"><i class="fas fa-users ic-w mr-1"></i>Meetings
                    </li>
                    <li>
                      <div class="treeview-colorful-element"><i class="fas fa-basketball-ball ic-w mr-1"></i>Workouts
                    </li>
                    <li>
                      <div class="treeview-colorful-element"><i class="fas fa-mug-hot ic-w mr-1"></i>Events
                    </li>
                  </ul>
                </li>
              </ul>
            </li>
            <li class="treeview-colorful-items">
              <a class="treeview-colorful-items-header">
                <i class="fas fa-plus-circle"></i>
                <span><i class="far fa-folder-open ic-w mx-1"></i>Inbox</span>
              </a>
              <ul class="nested">
                <li>
                  <div class="treeview-colorful-element"><i class="far fa-folder-open ic-w mr-1"></i>Admin
                </li>
                <li>
                  <div class="treeview-colorful-element"><i class="far fa-folder-open ic-w mr-1"></i>Corporate
                </li>
                <li>
                  <div class="treeview-colorful-element"><i class="far fa-folder-open ic-w mr-1"></i>Finance
                </li>
                <li>
                  <div class="treeview-colorful-element"><i class="far fa-folder-open ic-w mr-1"></i>Other
                </li>
              </ul>
            </li>
            <li class="treeview-colorful-items">
              <a class="treeview-colorful-items-header">
                <i class="fas fa-plus-circle"></i>
                <span><i class="far fa-gem mx-1"></i>Favourites</span>
              </a>
              <ul class="nested">
                <li>
                  <div class="treeview-colorful-element"><i class="fas fa-pepper-hot ic-w mr-1"></i>Restaurants
                </li>
                <li>
                  <div class="treeview-colorful-element"><i class="far fa-eye ic-w mr-1"></i>Places
                </li>
                <li>
                  <div class="treeview-colorful-element"><i class="fas fa-gamepad ic-w mr-1"></i>Games
                </li>
                <li>
                  <div class="treeview-colorful-element"><i class="fas fa-cocktail ic-w mr-1"></i>Coctails
                </li>
                <li>
                  <div class="treeview-colorful-element"><i class="fas fa-pizza-slice ic-w mr-1"></i>Food
                </li>
              </ul>
            </li>
            <li>
              <div class="treeview-colorful-element"><i class="far fa-comment ic-w mr-1"></i>Notes
            </li>
            <li>
              <div class="treeview-colorful-element"><i class="fas fa-cogs ic-w mr-1"></i>Settings
            </li>
            <li>
              <div class="treeview-colorful-element"><i class="fas fa-desktop ic-w mr-1"></i>Devices
            </li>
            <li>
              <div class="treeview-colorful-element"><i class="fas fa-trash-alt ic-w mr-1"></i>Deleted Items
            </li>
          </ul>
        </div>

      
        
    
        
            
        // Treeview Initialization
        $(document).ready(function() {
          $('.treeview-colorful').mdbTreeview();
        });

Treeview

Vue Treeview

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

MDB Vue Treeview is used to show hierarchical information which starts from the root item and proceed to its children and their respective children. Each item besides the root has a parent and can have children.

The parent is the node which is higher in the hierarchy and the child the one that is lower. Siblings are items which have one and the same parent. Items can be expanded and collapsed.

Vue live preview

Basic example

Folders

  • Mail
    • Offers
    • Contacts
    • Calendar
      • Deadlines
      • Meetings
      • Workouts
      • Events
  • Inbox
    • Admin
    • Corporate
    • Finance
    • Other
  • Favourites
    • Restaurants
    • Places
    • Games
    • Coctails
    • Food
  • Notes
  • Settings
  • Devices
  • Deleted Items
        
            
          <template>
            <mdb-container>
              <mdb-treeview style="width: 25%" header="Folders">
                <mdb-treeview-item nested far icon="envelope-open" title="Mail">
                  <mdb-treeview-item far icon="address-book" title="Contact"/>
                  <mdb-treeview-item tag="a" href="#" far icon="bell" title="Offer"/>
                  <mdb-treeview-item nested far icon="calendar" title="Calendar">
                    <mdb-treeview-item far icon="clock" title="Deadlines"/>
                    <mdb-treeview-item icon="users" title="Meetings"/>
                    <mdb-treeview-item icon="basketball-ball" title="Workouts"/>
                    <mdb-treeview-item icon="mug-hot" title="Events"/>
                  </mdb-treeview-item>
                </mdb-treeview-item>
                <mdb-treeview-item far nested title="Inbox">
                  <mdb-treeview-item far title="Admin"/>
                  <mdb-treeview-item far title="Corporate"/>
                  <mdb-treeview-item far title="Finance"/>
                  <mdb-treeview-item far title="Other"/>
                </mdb-treeview-item>
                <mdb-treeview-item nested far icon="gem" title="Favourites">
                  <mdb-treeview-item icon="pepper-hot" title="Restaurants"/>
                  <mdb-treeview-item icon="eye" title="Places"/>
                  <mdb-treeview-item icon="gamepad" title="Games"/>
                  <mdb-treeview-item icon="cocktail" title="Cocktails"/>
                  <mdb-treeview-item icon="pizza-slice" title="Food"/>
                </mdb-treeview-item>
                <mdb-treeview-item far icon="comment" title="Notes"/>
                <mdb-treeview-item icon="cog" title="Settings"/>
                <mdb-treeview-item icon="desktop" title="Devices"/>
                <mdb-treeview-item icon="trash-alt" title="Deleted items"/>
              </mdb-treeview>
            </mdb-container>
          </template>
        
        
    
        
            
          <script>
            import {
              mdbContainer,
              mdbRow,
              mdbIcon,
              mdbTreeview,
              mdbTreeviewItem
            } from "mdbvue";
            export default {
              name: "TreeviewPage",
              components: {
                mdbContainer,
                mdbRow,
                mdbIcon,
                mdbTreeview,
                mdbTreeviewItem
              }
            };
          </script>
        
        
    

Animated treeview

Folders

  • Mail
    • Offers
    • Contacts
    • Calendar
      • Deadlines
      • Meetings
      • Workouts
      • Events
  • Inbox
    • Admin
    • Corporate
    • Finance
    • Other
  • Favourites
    • Restaurants
    • Places
    • Games
    • Coctails
    • Food
  • Notes
  • Settings
  • Devices
  • Deleted Items
        
            
          <template>
            <mdb-container>
                <mdb-treeview style="width: 25%" header="Folders" animated>
                  <mdb-treeview-item nested animated far icon="envelope-open" title="Mail">
                    <mdb-treeview-item far icon="address-book" title="Contact"/>
                    <mdb-treeview-item far icon="bell" title="Offers"/>
                    <mdb-treeview-item nested animated far icon="calendar" title="Calendar">
                      <mdb-treeview-item far icon="clock" title="Deadlines"/>
                      <mdb-treeview-item icon="users" title="Meetings"/>
                      <mdb-treeview-item icon="basketball-ball" title="Workouts"/>
                      <mdb-treeview-item icon="mug-hot" title="Events"/>
                    </mdb-treeview-item>
                  </mdb-treeview-item>
                  <mdb-treeview-item far nested animated title="Inbox">
                    <mdb-treeview-item far title="Admin"/>
                    <mdb-treeview-item far title="Corporate"/>
                    <mdb-treeview-item far title="Finance"/>
                    <mdb-treeview-item far title="Other"/>
                  </mdb-treeview-item>
                  <mdb-treeview-item nested animated far icon="gem" title="Favourites">
                    <mdb-treeview-item icon="pepper-hot" title="Restaurants"/>
                    <mdb-treeview-item icon="eye" title="Places"/>
                    <mdb-treeview-item icon="gamepad" title="Games"/>
                    <mdb-treeview-item icon="cocktail" title="Cocktails"/>
                    <mdb-treeview-item icon="pizza-slice" title="Food"/>
                  </mdb-treeview-item>
                  <mdb-treeview-item far icon="comment" title="Notes"/>
                  <mdb-treeview-item icon="cog" title="Settings"/>
                  <mdb-treeview-item icon="desktop" title="Devices"/>
                  <mdb-treeview-item icon="trash-alt" title="Deleted items"/>
                </mdb-treeview>
            </mdb-container>
          </template>
        
        
    
        
            
          <script>
            import {
              mdbContainer,
              mdbRow,
              mdbIcon,
              mdbTreeview,
              mdbTreeviewItem
            } from "mdbvue";
            export default {
              name: "TreeviewPage",
              components: {
                mdbContainer,
                mdbRow,
                mdbIcon,
                mdbTreeview,
                mdbTreeviewItem
              }
            };
          </script>
        
        
    

Colorful treeview

Folders

  • Mail
    • Offers
    • Contacts
    • Calendar
      • Deadlines
      • Meetings
      • Workouts
      • Events
  • Inbox
    • Admin
    • Corporate
    • Finance
    • Other
  • Favourites
    • Restaurants
    • Places
    • Games
    • Coctails
    • Food
  • Notes
  • Settings
  • Devices
  • Deleted Items
        
            
          <template>
            <mdb-container>
                <mdb-treeview style="width: 25%" header="Folders" colorful>
                  <mdb-treeview-item nested far icon="envelope-open" title="Mail">
                    <mdb-treeview-item far icon="address-book" title="Contact"/>
                    <mdb-treeview-item far icon="bell" title="Offers"/>
                    <mdb-treeview-item nested far icon="calendar" title="Calendar">
                      <mdb-treeview-item far icon="clock" title="Deadlines"/>
                      <mdb-treeview-item icon="users" title="Meetings"/>
                      <mdb-treeview-item icon="basketball-ball" title="Workouts"/>
                      <mdb-treeview-item icon="mug-hot" title="Events"/>
                    </mdb-treeview-item>
                  </mdb-treeview-item>
                  <mdb-treeview-item far nested title="Inbox">
                    <mdb-treeview-item far title="Admin"/>
                    <mdb-treeview-item far title="Corporate"/>
                    <mdb-treeview-item far title="Finance"/>
                    <mdb-treeview-item far title="Other"/>
                  </mdb-treeview-item>
                  <mdb-treeview-item nested far icon="gem" title="Favourites">
                    <mdb-treeview-item icon="pepper-hot" title="Restaurants"/>
                    <mdb-treeview-item icon="eye" title="Places"/>
                    <mdb-treeview-item icon="gamepad" title="Games"/>
                    <mdb-treeview-item icon="cocktail" title="Cocktails"/>
                    <mdb-treeview-item icon="pizza-slice" title="Food"/>
                  </mdb-treeview-item>
                  <mdb-treeview-item far icon="comment" title="Notes"/>
                  <mdb-treeview-item icon="cog" title="Settings"/>
                  <mdb-treeview-item icon="desktop" title="Devices"/>
                  <mdb-treeview-item icon="trash-alt" title="Deleted items"/>
                </mdb-treeview>
            </mdb-container>
          </template>
        
        
    
        
            
          <script>
            import {
              mdbContainer,
              mdbRow,
              mdbIcon,
              mdbTreeview,
              mdbTreeviewItem
            } from "mdbvue";
            export default {
              name: "TreeviewPage",
              components: {
                mdbContainer,
                mdbRow,
                mdbIcon,
                mdbTreeview,
                mdbTreeviewItem
              }
            };
          </script>
        
        
    

Treeview - API

In this section you will find advanced information about the Treeview and TreeviewItem components. You will learn which modules are required in this component, what are the possibilities of configuring the component, and what events and methods you can use in working with it.


Treeview

API Reference: Properties

Name Type Default Description Example
tag String 'div' Sets a tag of the treeview component <mdb-treeview tag="li"/>
header String Text passed as a value will be displayed in the component's header <mdb-treeview header="Folders"/>
animated Boolean false Sets classes required for the element to be animated <mdb-treeview animated/>
colorful Boolean false Changes treeview layout to colorful <mdb-treeview colorful/>

Treeview Item

API Reference: Properties

Name Type Default Description Example
tag String 'div' Sets a tag of the treeview component <mdb-treeview tag="li"/>
nested Boolean false Indicates if element is a parent to other elements <mdb-treeview-item nested/>
title String Text value which will be displayed in the tree <mdb-treeview-item title="Settings"/>
icon String "folder-open" Sets the icon displayed next to the title <mdb-treeview-item icon="cog"/>
animated Boolean false If it's set to true on a nested element, the opening animation will be triggered <mdb-treeview-item nested animated />
far Boolean false Changes icon's style to regular <mdb-treeview-item icon="comment" far />
fab Boolean false Changes icon's style to brands <mdb-treeview-item icon="comment" fab />
fal Boolean false Changes icon's style to light <mdb-treeview-item icon="comment" fal />
fad Boolean false Changes icon's style to duotone <mdb-treeview-item icon="comment" fad />

React Bootstrap Treeview

React Treeview - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Bootstrap treeview is used to show hierarchical information which starts from the root item and proceed to its children and their respective children. Each item besides the root has a parent and can have children.

The parent is the node which is higher in the hierarchy and the child the one that is lower. Siblings are items which have one and the same parent. Items can be expanded and collapsed.


Basic example

Folders

  • Mail
    • Offers
    • Contacts
    • Calendar
      • Deadlines
      • Meetings
      • Workouts
      • Events
  • Inbox
    • Admin
    • Corporate
    • Finance
    • Other
  • Favourites
    • Restaurants
    • Places
    • Games
    • Coctails
    • Food
  • Notes
  • Settings
  • Devices
  • Deleted Items
        
            
        import React, { Component } from 'react';
        import {
          MDBContainer,
          MDBCol,
          MDBTreeview,
          MDBTreeviewList,
          MDBTreeviewItem
        } from 'mdbreact';
        
        class TreeviewExample extends Component {
          render() {
            return (
              <MDBContainer header='Animated'>
                <MDBCol md='4'>
                  <MDBTreeview header='Folders' className='w-20'>
                    <MDBTreeviewList icon='envelope-open' title='Mail' far open>
                      <MDBTreeviewItem icon='address-book' title='Contact' far />
                      <MDBTreeviewItem icon='bell' title='Offer' far />
                      <MDBTreeviewList icon='calendar' title='Calendar' far open>
                        <MDBTreeviewItem icon='clock' title='Deadlines' far />
                        <MDBTreeviewItem icon='users' title='Meetings' opened />
                        <MDBTreeviewItem icon='basketball-ball' title='Workouts' />
                        <MDBTreeviewItem icon='mug-hot' title='Events' />
                      </MDBTreeviewList>
                    </MDBTreeviewList>
                    <MDBTreeviewList title='Inbox' far>
                      <MDBTreeviewItem title='Admin' far />
                      <MDBTreeviewItem title='Corporate' far />
                      <MDBTreeviewItem title='Finance' far />
                      <MDBTreeviewItem title='Other' far />
                    </MDBTreeviewList>
                    <MDBTreeviewList icon='gem' title='Favourites' far>
                      <MDBTreeviewItem icon='pepper-hot' title='Restaurants' />
                      <MDBTreeviewItem icon='eye' title='Places' far />
                      <MDBTreeviewItem icon='gamepad' title='Games' />
                      <MDBTreeviewItem icon='cocktail' title='Cocktails' />
                      <MDBTreeviewItem icon='pizza-slice' title='Food' />
                    </MDBTreeviewList>
                    <MDBTreeviewItem icon='comment' title='Notes' far />
                    <MDBTreeviewItem icon='cog' title='Settings' />
                    <MDBTreeviewItem icon='desktop' title='Devices' />
                    <MDBTreeviewItem icon='trash-alt' title='Deleted items' />
                  </MDBTreeview>
                </MDBCol>
              </MDBContainer>
            );
          }
        }
        
        export default TreeviewExample;
        
        
        
    

Animated treeview

Folders

  • Mail
    • Offers
    • Contacts
    • Calendar
      • Deadlines
      • Meetings
      • Workouts
      • Events
  • Inbox
    • Admin
    • Corporate
    • Finance
    • Other
  • Favourites
    • Restaurants
    • Places
    • Games
    • Coctails
    • Food
  • Notes
  • Settings
  • Devices
  • Deleted Items
        
            
        import React, { Component } from 'react';
        import {
          MDBContainer,
          MDBCol,
          MDBTreeview,
          MDBTreeviewList,
          MDBTreeviewItem
        } from 'mdbreact';
        
        class TreeviewExample extends Component {
          render() {
            return (
              <MDBContainer header='Animated'>
                <MDBCol md='4'>
                  <MDBTreeview
                    theme='animated'
                    header='Folders'
                    className='w-20'
                    getValue={value => console.log(value)}
                  >
                    <MDBTreeviewList icon='envelope-open' title='Mail' far open>
                      <MDBTreeviewItem icon='address-book' title='Contact' far />
                      <MDBTreeviewItem icon='bell' title='Offer' far />
                      <MDBTreeviewList icon='calendar' title='Calendar' far open>
                        <MDBTreeviewItem icon='clock' title='Deadlines' far />
                        <MDBTreeviewItem icon='users' title='Meetings' opened />
                        <MDBTreeviewItem icon='basketball-ball' title='Workouts' />
                        <MDBTreeviewItem icon='mug-hot' title='Events' />
                      </MDBTreeviewList>
                    </MDBTreeviewList>
                    <MDBTreeviewList title='Inbox' far>
                      <MDBTreeviewItem title='Admin' far />
                      <MDBTreeviewItem title='Corporate' far />
                      <MDBTreeviewItem title='Finance' far />
                      <MDBTreeviewItem title='Other' far />
                    </MDBTreeviewList>
                    <MDBTreeviewList icon='gem' title='Favourites' far>
                      <MDBTreeviewItem icon='pepper-hot' title='Restaurants' />
                      <MDBTreeviewItem icon='eye' title='Places' far />
                      <MDBTreeviewItem icon='gamepad' title='Games' />
                      <MDBTreeviewItem icon='cocktail' title='Cocktails' />
                      <MDBTreeviewItem icon='pizza-slice' title='Food' />
                    </MDBTreeviewList>
                    <MDBTreeviewItem icon='comment' title='Notes' far />
                    <MDBTreeviewItem icon='cog' title='Settings' />
                    <MDBTreeviewItem icon='desktop' title='Devices' />
                    <MDBTreeviewItem icon='trash-alt' title='Deleted items' />
                  </MDBTreeview>
                </MDBCol>
              </MDBContainer>
            );
          }
        }
        
        export default TreeviewExample;
        
        
        
    

Colorful treeview

Folders

  • Mail
    • Offers
    • Contacts
    • Calendar
      • Deadlines
      • Meetings
      • Workouts
      • Events
  • Inbox
    • Admin
    • Corporate
    • Finance
    • Other
  • Favourites
    • Restaurants
    • Places
    • Games
    • Coctails
    • Food
  • Notes
  • Settings
  • Devices
  • Deleted Items
        
            

        import React, { Component } from 'react';
        import {
          MDBContainer,
          MDBCol,
          MDBTreeview,
          MDBTreeviewList,
          MDBTreeviewItem
        } from 'mdbreact';
        
        class TreeviewExample extends Component {
          render() {
            return (
              <MDBContainer header='Animated'>
                <MDBCol md='4'>
                  <MDBTreeview
                    theme='colorful'
                    header='Folders'
                    className='border-secondary w-20 '
                    getValue={value => console.log(value)}
                  >
                    <MDBTreeviewList icon='envelope-open' title='Mail' far>
                      <MDBTreeviewItem icon='address-book' title='Contact' far />
                      <MDBTreeviewItem icon='bell' title='Offer' far />
                      <MDBTreeviewList icon='calendar' title='Calendar' far>
                        <MDBTreeviewItem icon='clock' title='Deadlines' far />
                        <MDBTreeviewItem icon='users' title='Meetings' />
                        <MDBTreeviewItem icon='basketball-ball' title='Workouts' />
                        <MDBTreeviewItem icon='mug-hot' title='Events' />
                      </MDBTreeviewList>
                    </MDBTreeviewList>
                    <MDBTreeviewList title='Inbox' far>
                      <MDBTreeviewItem title='Admin' far />
                      <MDBTreeviewItem title='Corporate' far />
                      <MDBTreeviewItem title='Finance' far />
                      <MDBTreeviewItem title='Other' far />
                    </MDBTreeviewList>
                    <MDBTreeviewList icon='gem' title='Favourites' far>
                      <MDBTreeviewItem icon='pepper-hot' title='Restaurants' />
                      <MDBTreeviewItem icon='eye' title='Places' far />
                      <MDBTreeviewItem icon='gamepad' title='Games' />
                      <MDBTreeviewItem icon='cocktail' title='Cocktails' />
                      <MDBTreeviewItem icon='pizza-slice' title='Food' />
                    </MDBTreeviewList>
                    <MDBTreeviewItem icon='comment' title='Notes' far />
                    <MDBTreeviewItem icon='cog' title='Settings' />
                    <MDBTreeviewItem icon='desktop' title='Devices' />
                    <MDBTreeviewItem icon='trash-alt' title='Deleted items' />
                  </MDBTreeview>
                </MDBCol>
              </MDBContainer>
            );
          }
        }
        
        export default TreeviewExample;
        

        
        
    

React Treeview - API

In this section you will find advanced information about the Treeview and TreeviewItem components. You will learn which modules are required in this component, what are the possibilities of configuring the component, and what events and methods you can use in working with it.


Treeview import statement

In order to use MDBTreeview component make sure you have imported proper module first.

        
            
          import { MDBTreeview, MDBTreeviewItem, MDBTreeviewList } from 'mdbreact';
        
        
    

Treeview

API Reference: Properties

Name Type Default Description Example
className String Adds custom class to the element <MDBTreeview className="font-weight-bold"/>
header String Text passed as a value will be displayed in the component's header <MDBTreeview header="Folders"/>
tag String 'div' Sets a tag of the treeview component <MDBTreeview tag="li"/>
theme string Sets styles required for the element to be animated or colorful <MDBTreeview theme="animated"/>

API Reference: Methods

Name Parameters Description Example
getValue Gets active item data <MDBTreeview getValue={ (e) => console.log(e) }/>

Treeview Item

API Reference: Properties

Name Type Default Description Example
className String Adds custom class to the element <MDBTreeviewItem className="font-weight-bold"/>
disabled Boolean false Sets disabled a state of the component <MDBTreeviewItem disabled />
disabledClassName String Adds custom class to the element when is disabled <MDBTreeviewItem disabled disabledClassName="text-muted disabled" />
icon String "folder-open" Sets the icon displayed next to the title <MDBTreeviewItem icon="cog"/>
fab Boolean false Changes icon's style to fab <MDBTreeviewItem icon="comment" fab />
fal Boolean false Changes icon's style to fal <MDBTreeviewItem icon="comment" fal />
far Boolean false Changes icon's style to far <MDBTreeviewItem icon="comment" far />
opened Boolean false Sets opened a state of the component <MDBTreeviewItem opened />
tag String 'div' Sets a tag of the treeview component <MDBTreeviewItem tag="li"/>
title String Text value which will be displayed in the tree <MDBTreeviewItem title="Settings"/>

Treeview List

API Reference: Properties

Name Type Default Description Example
className String Adds custom class to the element <MDBTreeviewList className="font-weight-bold"/>
disabled Boolean false Sets disabled a state of the component <MDBTreeviewList disabled />
disabledClassName String Adds custom class to the element when is disabled <MDBTreeviewList disabled disabledClassName="text-muted disabled" />
icon String "folder-open" Sets the icon displayed next to the title <MDBTreeviewList icon="cog"/>
fab Boolean false Changes icon's style to fab <MDBTreeviewList icon="comment" fab />
fal Boolean false Changes icon's style to fal <MDBTreeviewList icon="comment" fal />
far Boolean false Changes icon's style to far <MDBTreeviewList icon="comment" far />
opened Boolean false Sets opened a state of the component <MDBTreeviewList opened />
tag String 'div' Sets a tag of the treeview component <MDBTreeviewList tag="li"/>
title String Text value which will be displayed in the tree <MDBTreeviewList title="Settings"/>